/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

.btn-light{
	color: var(--mc-teal) !important;
}

.btn-light:is(:hover, :focus){
	color: var(--dark-blue) !important;
}
.coh-video-container .perfmatters-lazy-youtube {
    width: 298px ! important;
    padding-bottom: 66.23% ! important;
    margin-left: auto;
    margin-right: auto;
}
.facetwp-facet-load_more:has(.facetwp-hidden) {
	display: none;
}
.facetwp-facet-load_more .facetwp-load-more {
	align-items: center;
    background-color: var(--mc-teal);
    color: #ffffff !important;
    text-decoration: none;
    border-radius: 6px;
    padding: 10px 20px;
    font-weight: 400;
}
p.event-title {
    font-weight: bold;
	color: var(--mc-teal);
}

p.event-title a {
	text-decoration: none;
}

.event-container .date {
	font-size: 19px;
	text-transform: uppercase;
	margin-bottom: 0;
}
.event-container {
    display: grid;
    grid-template-columns: repeat(2, calc(50% - 43px));
    gap: 85px;
    border-top: 1px solid #45bbea;
    padding: 40px 0;
}
.featured-event.event-container {
	border-top: none;
	padding-top: 0;
}
@media screen and (max-width: 767px) {
	.event-container {
		grid-template-columns: 100%;
		gap: 30px;
	}
	.event-container .has-gallery {
		padding: 0 20px;
	}
	.event-container p {
		margin-bottom: 0;
	}
}
html {
	scroll-behavior: smooth;
}
.site-footer {
	position: relative;
	z-index:2;
}
@media screen and (min-width: 1225px) and (max-width: 1244px) {
	.site-header .header-image {
		width: 178px;
	}
}

@media screen and (max-width: 874px) {
	.overlap-grid {
		grid-template-columns: 1fr ! important;
	}
}

.blue-divider, .navy-divider {
	position: relative;
	padding-bottom: 25px;
	margin-bottom: 0 ! important;
}

.blue-divider:after {
	content: ' ';
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 8px;
	background: url(https://mitzvahcircle.org/wp-content/uploads/2025/06/divier-medium.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	border-radius: 5px;
}

.navy-divider:after {
	content: ' ';
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 6px;
	background: url(https://mitzvahcircle.org/wp-content/uploads/2025/06/divier-small-navy.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	border-radius: 5px;
}

.footer.blue-divider:after {
	height: 7px;
}

.small.blue-divider:after {
	background: url(https://mitzvahcircle.org/wp-content/uploads/2025/06/divier-small-med.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
}

/**
 * Home
 * **/
@media screen and (max-width: 1440px) {
	.left-image-grid {
		background-position: top right 25px ! important;
		background-size: 52% ! important;
	}

	.right-image-grid {
		background-position: top left 25px ! important;
		background-size: contain ! important;
	}
}
/**
 * Ways to Help
 * */
@media screen and (max-width: 1280px)  and (min-width: 1025px){
	.overlap-grid .gb-element-72a10e58 {
		left: 0;
	}
	.overlap-grid .gb-element-61dc2bd7 {
		right: 150px;
	}
}
@media screen and (min-width: 1480px) {
	.overlap-grid .gb-element-72a10e58 {
		left: 80px;
	}
	.overlap-grid .gb-element-61dc2bd7 {
		right: 80px;
	}
}

/**
 * Footer Newsletter
 * **/

#gform_fields_1 input {
	background: transparent;
	border-color: #fff;
}

#gform_fields_1 input[type=checkbox] {
	background: #fff;
}

#gform_fields_1 .gfield_required {
	color: #fff;
}

#field_1_5 .gfield_label {
	font-size: 18px;
}

#input_1_5 {
	display: flex;
	flex-direction: row;
	gap: 20px;
}

#gform_fields_1 {
	row-gap: 20px;
}

#gform_1 .gform_button {
	font-size: 25px;
	align-items: center;
	background-color: var(--mc-teal);
	color: #ffffff;
	display: inline-flex;
	text-decoration: none;
	border-radius: 6px;
	padding: 10px 20px;
}

#gform_1 .gform_button:hover {
	background-color: var(--accent);
}

@media screen and (max-width: 768px) {
	.gform-footer {
		justify-content: center !important;
	}
}

.site-content {
	padding-top: 5px !important;
	padding-bottom: 28px !important;
}

#gform_submit_button_1 {
	margin-top: 20px !important;
}

.site-header {
	background-image: url(https://mitzvahcircle.org/wp-content/uploads/2025/07/MC-top-border_1900-2.png);
	background-repeat: no-repeat;
	background-position: bottom center;
	background-size: cover;
}

.site-header .inside-header {
	align-items: flex-start;
	max-width: 1600px;
	margin: auto;
}

#menu-main-menu .sub-menu {
	background-color: var(--base-3);
	background-image: linear-gradient(to left, rgba(68, 187, 235, 0.07) 0%, rgba(68, 187, 235, 0.07) 100%);
	right: 0;
	border-radius: 12px;
	padding: 10px;
}

.main-navigation .inside-navigation {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	justify-content: flex-end;
}

#menu-main-menu .sub-menu:before {
	content: " ";
	background: url(https://mitzvahcircle.org/wp-content/uploads/2025/06/diamond.png);
	background-size: contain;
	position: absolute;
	top: -8px;
	right: 21px;
	width: 18px;
	height: 18px;
}


@media screen and (min-width: 769px) and (max-width: 1068px) {
	.inside-header {
		padding-left: 40px;
		padding-right: 40px;
	}
}

@media screen and (min-width: 1444px) {
	.site-header {
		background-image: url(https://mitzvahcircle.org/wp-content/uploads/2025/07/MC-top-border_1900-2.png);
		background-size: cover;
	}

	.inside-header {
		padding-top: 40px;
	}
}

@media screen and (min-width: 1699px) {
	.inside-header {
		padding-left: 80px;
		padding-right: 80px;
	}
}

@media screen and (min-width: 1799px) {
	.inside-header {
		padding-left: 0px;
		padding-right: 0px;
	}
}

@media screen and (min-width: 1920px) {
	.site-header {
		background-image: url(https://mitzvahcircle.org/wp-content/uploads/2025/07/MC-top-border_2400.png);
		background-size: cover;
	}
}

@media screen and (max-width: 1224px) {

	.site-header .inside-header {
		background-position: top -4vw center;
		padding-top: 20px;
		align-items: flex-start;
	}

	.site-header .header-image {
		width: 120px;
	}
}

@media screen and (max-width: 767px) {
	.site-header {
		background-image: url(https://mitzvahcircle.org/wp-content/uploads/2025/07/MC-top-mobile-e1753455851774.png);
		background-size: cover;
		background-position: bottom;
	}

	.site-header .inside-header {
		background-position: center -15px center;
		padding-top: 20px;
		padding-bottom: 10px;
	}

	.site-header .header-image {
		width: 160px;
	}

	.main-navigation {
		margin-top: 0px;
	}
}

@media screen and (max-width: 420px) {
	.site-header {	
		background-size: contain;
		background-position: top;
	}
}

@media(max-width: 767px) {
	.scrollable {
		flex-wrap: nowrap;
		overflow-x: auto;

		scroll-snap-type: mandatory;
	}

	.scrollable .sal-animate {
		flex: 0 0 70%;
		scroll-snap-align: start;
	}
}

@media (max-width: 767px) {
    .gb-element-2a80647a {
		text-align: left !important;
	}
}

.events .event-container .image-container {
	max-height: 400px;
	vertical-align: middle;

}

.events .event-container .image-container img, .events .event-container .featured-event-image-container img {
	max-height: 400px;
	object-fit: contain;
	vertical-align: middle;
	display: block;
	margin: auto;
}

#location-select {
    background-color: white;
    border: var(--mc-teal) solid 1px;
    font-weight: 900;
    color: var(--dark-blue);
}

.gb-accordion__toggle-icon {
	margin-top: 20px;
}

@media(max-width: 767px) { 
	.resource-body .btn-primary {
		margin-top: 30px;
	}
}

body .gform_wrapper .gform_body label,body .gform_wrapper .gform_body legend {
   font-size: 16px !important;
}

.gform_required_legend {
	display: none;
}
.gform-theme--foundation .gform_fields {
 --gf-form-gap-y: 30px !important;
}

#gform_submit_button_2 {
	align-items: center;
    background-color: var(--mc-teal);
    color: #ffffff !important;
    display: inline-flex;
    text-decoration: none;
    border-radius: 6px;
    padding: 10px 20px;
	font-family: proxima-nova;
    font-size: 25px;
}

#gform_submit_button_2:hover {
    background-color: var(--accent);
}

.ginput_container_number .instruction {
	display: none !important;
}

#welcome-banner[hidden] { display: none !important; }

.event-container .details-see-more {
	display: none;
}


@media(min-width: 1024px) { 
	.news-highlights {
/* 		column-count: 2; */
	}
}
/** Swiper **/
.swiper-container {
    position: relative;
    -webkit-user-select: none;
    /* Safari */
    -ms-user-select: none;
    /* IE 10 and IE 11 */
    user-select: none;
    /* Standard syntax */
}

.swiper-slide, .swiper-card {
    position: relative;
}

.swiper .swiper-slide img {
    aspect-ratio: 1.5;
    object-fit: cover;
    width: 100%;
}

.swiper2 .swiper-slide {
    height: 100%;
    width: calc(100% - 40px) ! important;
}

.swiper-wrapper {
    margin: 0;
}

.swiper-button {
    display: inline-flex;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.swiper-button svg {
    width: 25px;
    height: auto;
}

.swiper-prev {
    left: -50px;
}

.swiper-next {
    right: -50px;
}

.swiper-button.swiper-button-disabled {
    cursor: default;
    opacity: 0.6;
}

.swiper .slide-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    width: 100%;
    height: 100;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.swiper .play-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #1b4c63d9;
    padding: 20px;
    border-radius: 50%;
    display: flex;
    width: 55px;
    height: 55px;
    justify-content: center;
    align-items: center;
}
.swiper .play-container .ovelay-play {
    aspect-ratio: 1;
    object-fit: contain;
    width: 33px;
    height: 54px;
}
.swiper2 .swiper-slide {
    padding: 20px;
}

.swiper-prev-2 {
    left: -5px;
}

.swiper-next-2 {
    right: -5px;
}


@media screen and (max-width: 1024px) {
    .swiper-prev {
        left: -30px;
    }

    .swiper-next {
        right: -30px;
    }
}

@media screen and (max-width: 767px) {
    .swiper-prev {
        left: -25px;
    }

    .swiper-slide .statistic-text {
        margrin-bottom: 0;
    }

    .swiper-next {
        right: -25px;
    }

    .swiper-button svg {
        width: 15px;
    }
}

@media screen and (max-width: 431px) {
    .gb-element-ae7bca9b.swiper-container {
        padding: 0;
    }

    .swiper2 .swiper-slide {
        padding: 20px;
    }

}

@media screen and (max-width: 389px) {
    .swiper2 .swiper-slide {
        height: 256px;
    }

}

.embed-container {
    position: relative;
/*    padding-bottom: 56.25%;*/
    overflow: hidden;
    max-width: 100%;
    height: auto;
}

.embed-container iframe,
.embed-container object,
.embed-container embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}